SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001417: creating a non-ethernet uplink assigns an ethernet interface which then cannot be used by the netwizard anymore - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001417Endian FirewallGUIpublic2008-10-31 12:182009-10-27 13:27
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target Version2.3Fixed in Version2.3 
Summary0001417: creating a non-ethernet uplink assigns an ethernet interface which then cannot be used by the netwizard anymore
DescriptionI did the following:

- Configured DHCP as main uplink (eth3, eth0 is green, eth1/eth2 are free)
- Configured a second uplink using the interface editor, uplink type ANALOG/UMTS
- Started the netwizard in order to change the main uplink from DHCP to STATIC

In the 3rd step, the netwizard interface selector shows eth1 assigned to RED, but that's wrong, it should be unused.

Taking a look to uplink1/settings shows RED_DEV=eth1, which will be ignored by the uplinks scripts, but not by other scripts.


Solution:
interface editor should write down only the necessary keys of that specific uplink type. Keys which will be used only by other uplink types should not be written down or at least emptied.

This generally may be a source of trouble in several parts of the firewall, which could easily be avoided
TagsNo tags attached.
Attached Files

- Relationships
child of 0001934closedsimon-endian interface editor changes for 2.3 - meta ticket 

-  Notes
(0002686)
simon-endian (developer)
2009-06-29 09:23

for the moment non-ethernet uplink will have an empty RED_DEV value.
- this will solve it for newly created uplinks.
- will patch netwizard to check if it is a non-ethernet uplink when he reads the list of user ethernet devices
(0002845)
simon-endian (developer)
2009-08-12 14:23

now get_red_devices has an failover if red_dev is set but uplink does not use an red_dev, red_dev is set to empty string.

- Issue History
Date Modified Username Field Change
2008-10-31 12:18 peter-endian New Issue
2008-10-31 12:18 peter-endian Assigned To => simon-endian
2009-06-09 20:01 peter-endian Relationship added child of 0001934
2009-06-29 09:23 simon-endian Note Added: 0002686
2009-08-12 14:23 simon-endian Note Added: 0002845
2009-08-12 14:23 simon-endian Status new => resolved
2009-08-12 14:23 simon-endian Resolution open => fixed
2009-10-27 11:59 peter-endian Status resolved => closed
2009-10-27 12:22 peter-endian Fixed in Version => 2.3
2009-10-27 13:27 peter-endian Target Version future => 2.3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker